# abstract Context3DProfile(Null<Int>)

#### package openfl.display3D

####

Available on all platforms

### Variables

###

`inline read onlyBASELINE:Context3DProfile = 0`

###

`inline read onlyBASELINE_CONSTRAINED:Context3DProfile = 1`

###

`inline read onlyBASELINE_EXTENDED:Context3DProfile = 2`

###

`inline read onlySTANDARD:Context3DProfile = 3`

###

`inline read onlySTANDARD_CONSTRAINED:Context3DProfile = 4`

###

`inline read onlySTANDARD_EXTENDED:Context3DProfile = 5`